Name: qlandkarte
Version: 0.7.1
Release: alt1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: A tool to visualize maps and other GPS information for Garmin devices
License: GPL
Group: Sciences/Geosciences
Url: http://qlandkarte.sourceforge.net/

Source0: http://downloads.sourceforge.net/%name/QLandkarte-%version.tar.gz
Source1: %name.desktop
Source2: %name.xpm

# Added by buildreq on Sat Apr 26 2008
BuildRequires: gcc-c++ libqt4-devel libusb-devel libXext-devel proj-devel

%description
Provides a GUI to visualize data from GPS device's tracks and maps.

%prep
%setup -q -n QLandkarte-%version

%build
%configure
# rerun qmake to include our C and CXX flags
qmake-qt4 -unix QMAKE_CFLAGS="%optflags" QMAKE_CXXFLAGS="%optflags" "CONFIG+=debug" QLandkarte.pro
%make_build

%install
%makeinstall INSTALL_ROOT=%buildroot

install -m 0644 -p -D %SOURCE2 %buildroot%_datadir/pixmaps/%name.xpm
mkdir -p %buildroot%_mandir/man1
mv %buildroot%_mandir/%name.1 %buildroot%_mandir/man1
install -D -m644  %buildroot%_datadir/menu/%name.menu %buildroot%_menudir/%name.menu

%files
%doc changelog.txt
%_bindir/*
%dir %_libdir/%name
%_libdir/%name/*
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.xpm
%_menudir/%name.menu
%_mandir/man1/%name.*

%changelog
* Sat Apr 26 2008 Grigory Batalov <bga@altlinux.ru> 0.7.1-alt1
- Build for ALT Linux.

* Sun Feb 17 2008 Dan Horak <dan[at]danny.cz> 0.7.1-1
- upgrade to 0.7.1
- fixes RH #426807 (many thanks goes to Albrecht who did all the work
  and successfully integrated it in the the upstream code)

* Thu Feb 14 2008 Dan Horak <dan[at]danny.cz> 0.6.0-2
- rebuild with gcc 4.3

* Thu Jan  3 2008 Dan Horak <dan[at]danny.cz> 0.6.0-1
- upgrade to 0.6.0
- fix compile with gcc 4.3

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-4
- including icon for desktop file
- disabling parallel make flags

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-3
- spec file patches and desktop file by Dan Horak <dan@danny.cz>
  GPLv2+
  desktop file
  use sed to cleanup problems in makefile
  additional BuildRequires

* Sat Oct 20 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-2
- cleanup for inclusion in Fedora

* Tue Sep 18 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-1
- upgrade to 0.5.3
- removed stripping of *.so files so debuginfo package can be built

* Mon Jul 09 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.2-1
- upgrade to 0.5.2

* Wed May 16 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.0-1
- upgrade to 0.5.0
- removed install_root patch (fixed upstream)
- stripped libraries

* Thu Apr 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.3.0-1
- upgrade to 0.3.0

* Thu Apr 05 2007 Douglas E. Warner <silfreed@silfreed.net> 0.2.3-1
- Initial RPM release.

